Bug 100579

Summary: WKStringCopyCFString() should directly use 8 bit Strings data instead of up converting
Product: WebKit Reporter: Michael Saboff <msaboff>
Component: WebKit APIAssignee: Michael Saboff <msaboff>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch oliver: review+, webkit.review.bot: commit-queue-

Description Michael Saboff 2012-10-26 16:47:13 PDT
WKStringCopyCFString(CFAllocatorRef, WKStringRef) calls CFStringCreateWithCharacters() using the result of characters() on the argument string.  Instead it should check to see if the string is 8 or 16 bits and then use characters8() with CFStringCreateWithBytes() and characters16() in place of the current characters().
Comment 1 Michael Saboff 2012-10-26 17:39:13 PDT
Created attachment 171062 [details]
Patch
Comment 2 WebKit Review Bot 2012-10-27 11:19:09 PDT
Comment on attachment 171062 [details]
Patch

Rejecting attachment 171062 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:

Auto-merging Source/WebKit2/ChangeLog
CONFLICT (content): Merge conflict in Source/WebKit2/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Unreviewed gardening.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 154.

Full output: http://queues.webkit.org/results/14605667
Comment 3 Michael Saboff 2012-10-29 11:05:50 PDT
Committed r132825: <http://trac.webkit.org/changeset/132825>